%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize the global variabl doc, exclude the modification
% parts.
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function initialize_doc(cur_exp, cur_talker, cur_sound)

global doc configs;

if strcmp(cur_exp, 'MN64')||strcmp(cur_exp, 'ALL-SWN')
    cur_ntype = 'SWN'; cur_exp = '64';
elseif strcmp(cur_exp, 'MN16R')||strcmp(cur_exp, 'ALL-WN')
    cur_ntype = 'WN'; cur_exp = '16';
elseif strcmp(cur_exp, 'CV06SWNC')
    cur_ntype = 'SWN'; cur_exp = '06sc';
elseif strcmp(cur_exp, 'CV06WNC')
    cur_ntype = 'WN'; cur_exp = '06wc';
elseif strcmp(cur_exp, 'CV06SWNV')
    cur_ntype = 'SWN'; cur_exp = '06sv';
elseif strcmp(cur_exp, 'CV06WNV')
    cur_ntype = 'WN'; cur_exp = '06wv';
end

cur_snr = 12;
cur_snrs = initialize_snrs(cur_exp);

[s, fs] = load_wav(cur_talker, cur_sound);

if isempty(s)
    return;
end

cur_wav_file = ['s_' cur_talker '_' cur_sound '.wav'];

AIcube = creat_AI_cube(cur_talker, cur_sound, cur_exp);
t_star = find_t_burst(AIcube, cur_snr); % this function works only for /t/ at high snr conditions
eventgram = extract_event_gram(AIcube, t_star);
cc = extract_cc(AIcube, cur_snr); 
aigram = extract_AI_gram(AIcube, cur_snr); 

speech_data.fs = fs;
speech_data.signal = s;
speech_data.snr = cur_snr;
speech_data.type = 'speechonly';

speech_in = []; speech_only = []; noise_only = []; noise_std = [];

cd(configs.aigrampath);
if strcmp(cur_exp, '64')||strcmp(cur_exp, '06sc')||strcmp(cur_exp, '06sv')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn64( speech_data);
elseif strcmp(cur_exp, '16')||strcmp(cur_exp, '06wc')||strcmp(cur_exp, '06wv')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn16r( speech_data);
end
cd(configs.syspath)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% initialize all the variables
doc.exp = cur_exp;
doc.talker = cur_talker;
doc.sound = cur_sound;

doc.AIcube = AIcube;
doc.aigram = aigram;
doc.eventgram = eventgram;
doc.cc = cc;
doc.cp = AIcube(1).CP;
doc.fname = cur_wav_file;
doc.time = t_star;

doc.speech.data = speech_only;
doc.speech.fs = fs;
doc.noise = noise_only;
doc.noisyspeech = speech_in;

doc.snrs = cur_snrs;
doc.snr = cur_snr;
doc.ntype = cur_ntype; % white or speech shaped

doc.mod1exist = 0; % mod1 doesn't exist yet
doc.mod2exist = 0; % mod2 doesn't exist yet
