%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program updates the data of the modification workspaces 
% Input: handles -- the handle to the window
%        list_mods -- a list of the modification that need to be updated 
%        'mod1' or 'mod2'
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function initialize_modification(handles, which_mod)

global doc;

%%%%%%%%%%%%%%% Modification-1 %%%%%%%%%%%%%%%%%%%%%%%%
if (strfind(strtrim(lower(which_mod)), 'mod1')) 
    
    doc.mod1exist = 1;
    doc.mod1.org_wav = doc.speech.data;
    doc.mod1.org_aigram = doc.aigram;
    doc.mod1.fs = doc.speech.fs;
    doc.mod1.cur_wav = doc.speech.data;
    doc.mod1.cur_aigram = doc.aigram;
    doc.mod1.noise = doc.noise;
    doc.mod1.wavfile = doc.fname;
    doc.mod1.snr = doc.snr;
    doc.mod1.exp = doc.exp;
    doc.mod1.ntype = doc.ntype;
    
    doc.mod1.regs = [];

    doc.mod1hist.last_wav = doc.speech.data; % for change detection
    doc.mod1hist.hist = []; % contains the history of the modifications
    doc.mod1hist.phist = []; % contains a point to hist

    set(handles.mod1reg1, 'Enable', 'off');
    set(handles.mod1reg2, 'Enable', 'off');
    set(handles.mod1reg3, 'Enable', 'off');
    set(handles.mod1reg4, 'Enable', 'off');
    set(handles.mod1reg5, 'Enable', 'off');
    set(handles.mod1reg6, 'Enable', 'off');
    set(handles.mod1reg7, 'Enable', 'off');
    set(handles.mod1reg8, 'Enable', 'off');

    set(handles.butreg1, 'Enable', 'on');
    set(handles.butmod1, 'Enable', 'on');
    set(handles.butComp1, 'Enable', 'on');
    set(handles.butundo1, 'Enable', 'off');
    set(handles.butredo1, 'Enable', 'off');      
    set(handles.butplay1, 'Enable', 'on');
    set(handles.butSet1, 'Enable', 'on'); 
    set(handles.butreset1, 'Enable', 'on'); 
    set(handles.butload1, 'Enable', 'on'); 
    set(handles.butsave1, 'Enable', 'on'); 
    
    set(handles.mod1ntype, 'String', doc.mod1.ntype);

%%%%%%%%%%%%%%% Modification-2 %%%%%%%%%%%%%%%%%%%%%%%%
elseif (strfind(strtrim(lower(which_mod)), 'mod2')) 
    
    doc.mod2exist = 1;    
    doc.mod2.org_wav = doc.speech.data;
    doc.mod2.org_aigram = doc.aigram;
    doc.mod2.fs = doc.speech.fs;
    doc.mod2.cur_wav = doc.speech.data;
    doc.mod2.cur_aigram = doc.aigram;
    doc.mod2.noise = doc.noise;
    doc.mod2.wavfile = doc.fname;
    doc.mod2.snr = doc.snr;
    doc.mod2.exp = doc.exp;
    doc.mod2.ntype = doc.ntype;
    
    doc.mod2.regs = [];

    doc.mod2hist.last_wav = doc.speech.data; % for change detection
    doc.mod2hist.hist = []; % contains the history of the modifications
    doc.mod2hist.phist = []; % contains a point to hist

    set(handles.mod2reg1, 'Enable', 'off');
    set(handles.mod2reg2, 'Enable', 'off');
    set(handles.mod2reg3, 'Enable', 'off');
    set(handles.mod2reg4, 'Enable', 'off');
    set(handles.mod2reg5, 'Enable', 'off');
    set(handles.mod2reg6, 'Enable', 'off');
    set(handles.mod2reg7, 'Enable', 'off');
    set(handles.mod2reg8, 'Enable', 'off');

    set(handles.butreg2, 'Enable', 'on');
    set(handles.butmod2, 'Enable', 'on');
    set(handles.butComp2, 'Enable', 'on');
    set(handles.butundo2, 'Enable', 'off');
    set(handles.butredo2, 'Enable', 'off');      
    set(handles.butplay2, 'Enable', 'on');
    set(handles.butSet2, 'Enable', 'on'); 
    set(handles.butreset2, 'Enable', 'on'); 
    set(handles.butload2, 'Enable', 'on'); 
    set(handles.butsave2, 'Enable', 'on'); 
    
    set(handles.mod2ntype, 'String', doc.mod2.ntype);    
end