%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to create All_SndList.mat, which contains a list 
% all the syllable appeared in the designated directory.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2007-07-15
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function All_SndList = create_All_SndList(wavpath)

global configs;

% initialize the popup menu 'talker' and 'sound'
dirlist = dir([wavpath '/*']);

% if the wav files are stored in hierarchical directories
if abs(length(dirlist)-length(configs.talkers))<6
    for i=3:length(dirlist)
        sub_wavfiles = dir([wavpath '/' dirlist(i).name '/*.wav']);
        if i==3
            wav_names = {sub_wavfiles.name};
        else
            wav_names = cat(2, wav_names, {sub_wavfiles.name});
        end
    end
else
    wav_files = dir([configs.wavpath '/*.wav']);
    wav_names = wav_files.name;
end

for i=1:length(wav_names)
    Talkers{i} = wav_names{i}(3:6);
    Sounds{i} = wav_names{i}(8:end-4);
end

All_SndList.tlk = Talkers;
All_SndList.snd = Sounds;
