%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to analyze the data of normal hearing
% listeners, Hearing Impaired.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-07
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function create_MN16R_CP()

if exist('MN16R.mat')
    load MN16R.mat;
else
    pullNHdata('mn16rdata.zip');
    load MN16R.mat;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-- Generate confusion matrixs for each listener --%%
CVs = 'p t k f T s S b d g v D z Z m n ?'; % the order introduced by MN55 paper

for i=1:length(Talker_Stim)
    Data = query(NHDB, 'talker_stim', Talker_Stim{i});
    Table = genTAB(Data, Resp, SNR);
    CP.Table = Table; CP.Utterance = Talker_Stim{i};
    CP_MN16R{i} = CP;
end

% CM is ordered by CVs, NHPI is ordered by Stim.
SNR_MN16R = SNR; SNR_MN16R(end) = 18; Stim_MN16R = Stim; Resp_MN16R = Resp;
save('MN16R_CP.mat', 'CP_MN16R', 'SNR_MN16R', 'Stim_MN16R', 'Resp_MN16R');